миграция с 4.6.2 на 5.0
От: dsalodki Беларусь http://dsalodki.wix.com/resume
Дата: 21.06.21 10:46
Оценка:
Error The project D:\NadanSoft\Net5\Nadan.Zapytai.Web.Public must provide a value for Configuration. Nadan.Zapytai.Web.Public C:\Users\dsalo\.nuget\packages\microsoft.aspnetcore.razor.design\2.2.0\build\netstandard2.0\Microsoft.AspNetCore.Razor.Design.CodeGeneration.targets 79

не понимаю почему ошибка: наверноe потому что Microsoft.AspNetCore.Mvc используется и оно использует https://www.nuget.org/packages/Microsoft.AspNetCore.Razor.Design/
вот нашёл подобную проблемму https://developercommunity.visualstudio.com/t/visual-studio-says-project-must-provide-a-value-fo/818689
я так понимаю нужно удалить Microsoft.AspNetCore.Razor.Design
см. https://docs.microsoft.com/en-us/aspnet/core/migration/22-to-30?view=aspnetcore-3.0&tabs=visual-studio (смотрите Remove obsolete package references)
но если используется Microsoft.AspNetCore.Mvc то наверное его нельзя удалить

как избавиться от ошибки must provide a value for Configuration?
кстати когда кликаю на ошибку, то переходит на RazorTagHelper
 
Подождите ...
Wait...
Пока на собственное сообщение не было ответов, его можно удалить.